package com.persagy.labsl.domain

import com.baomidou.mybatisplus.annotation.TableField
import com.baomidou.mybatisplus.annotation.TableId
import com.baomidou.mybatisplus.annotation.TableName
import lombok.Data
import java.io.Serializable
import java.util.*

/**
 *
 * @TableName graph_category
 */
@TableName(value = "graph_category",autoResultMap = true)
@Data
class GraphCategoryEntity : Serializable {
    /**
     * 分类编码Code
     */
    @TableId(value = "id")
    var id: String? = null
    /**
     * 分类名称
     */
    @TableField(value = "name")
    var name: String? = null
    /**
     * 上级节点
     */
    @TableField(value = "parent_id")
    var parentId: String? = null
    /**
     * 更新时间
     */
    @TableField(value = "last_update")
    var lastUpdate: Date? = null
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    var createTime: Date? = null

    companion object {
        @TableField(exist = false)
        val serialVersionUID = 1L
    }
}