package com.persagy.labsl.services.planar

import com.persagy.labsl.models.entities.pbs.PlanarQbsRule
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.responses.SCreateResponse

/**
 * 平面图逻辑处理接口
 * @author : lijie
 * Update By 2022/6/1 12:28
 */
interface PlanarQbsLogicService {

    /**
     * 创建qbs列表
     * @author : lijie
     * Update By 2022/6/1 12:57
     */
    fun createListLogic(request: SCreateRequest<PlanarQbsRule>): SCreateResponse<PlanarQbsRule>

}